Bug 675689 - Review Request: perl-Test-Log-Dispatch - Test what you are logging
Summary: Review Request: perl-Test-Log-Dispatch - Test what you are logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-07 11:02 UTC by Ralf Corsepius
Modified: 2011-03-21 20:56 UTC (History)
2 users (show)

Fixed In Version: perl-Test-Log-Dispatch-0.03-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 05:51:36 UTC
iarnell: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2011-02-07 11:02:07 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Test-Log-Dispatch.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Test-Log-Dispatch-0.03-1.fc15.src.rpm
Description:
Test::Log::Dispatch is a Log::Dispatch object that keeps track of
everything logged to it in memory, and provides convenient tests against
what has been logged.

Comment 1 Iain Arnell 2011-03-12 10:31:52 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2906422

Comment 2 Iain Arnell 2011-03-12 10:39:06 UTC
Nice catch with the missing dep on older fedora, but the test should be 
'%if 0%{?fedora} < 15' to avoid build failure if %fedora isn't defined at all.

APPROVED with that one small fix.


koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2906422

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
b76ba4439e9c4b66dab711d55bfc0e1edd04ba7b Test-Log-Dispatch-0.03.tar.gz
b76ba4439e9c4b66dab711d55bfc0e1edd04ba7b Test-Log-Dispatch-0.03.tar.gz.srpm

Final provides / requires are sane:

======> perl-Test-Log-Dispatch-0.03-1.fc16.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Test::Log::Dispatch) = 0.03
perl-Test-Log-Dispatch = 0.03-1.fc16
====> requires
perl(base)  
perl(Data::Dumper)  
perl(List::MoreUtils)  
perl(Log::Dispatch)  
perl(Log::Dispatch::Array)  
perl(:MODULE_COMPAT_5.12.3)  
perl(strict)  
perl(Test::Builder)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-Test-Log-Dispatch-0.03-1.fc16.src.rpm <======
====> rpmlint
perl-Test-Log-Dispatch.src:21: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 21)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(List::MoreUtils)  
perl(Log::Dispatch::Array)  
perl(Test::More)  
perl(Test::Tester)  
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.9 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.9
INFO: Mock Version: 1.1.9
State Changed: lock buildroot
INFO: installing package(s): perl-Test-Log-Dispatch-0.03-1.fc16.noarch.rpm
INFO: 
================================================================================
 Package                 Arch   Version           Repository               Size
================================================================================
Installing:
 perl-Test-Log-Dispatch  noarch 0.03-1.fc16       /perl-Test-Log-Dispatch-0.03-1.fc16.noarch
                                                                           10 k
Installing for dependencies:
 perl-CPAN               noarch 1.9402-154.fc16   fedora                  246 k
 perl-Digest-SHA         x86_64 1:5.47-154.fc16   fedora                   62 k
 perl-Email-Date-Format  noarch 1.002-9.fc15      fedora                   16 k
 perl-ExtUtils-MakeMaker noarch 6.56-154.fc16     fedora                  289 k
 perl-ExtUtils-ParseXS   noarch 1:2.2206-154.fc16 fedora                   44 k
 perl-IO-Socket-SSL      noarch 1.39-1.fc16       fedora                   71 k
 perl-List-MoreUtils     x86_64 0.30-2.fc15       fedora                   60 k
 perl-Log-Dispatch       noarch 2.27-2.fc15       fedora                   71 k
 perl-Log-Dispatch-Array noarch 1.001-4.fc15      fedora                   16 k
 perl-MIME-Lite          noarch 3.027-6.fc15      fedora                   88 k
 perl-MIME-Types         noarch 1.28-5.fc15       fedora                   32 k
 perl-Mail-Sender        noarch 0.8.16-7.fc15     fedora                   54 k
 perl-Mail-Sendmail      noarch 0.79-16.fc15      fedora                   28 k
 perl-MailTools          noarch 2.07-2.fc15       fedora                  102 k
 perl-Net-LibIDN         x86_64 0.12-6.fc15       fedora                   33 k
 perl-Net-SMTP-SSL       noarch 1.01-7.fc15       fedora                  8.3 k
 perl-Net-SSLeay         x86_64 1.36-4.fc15       fedora                  173 k
 perl-Params-Validate    x86_64 0.95-4.fc15       fedora                   76 k
 perl-Test-Harness       noarch 3.17-154.fc16     fedora                  239 k
 perl-Test-Simple        noarch 0.98-1.fc16       fedora                  117 k
 perl-TimeDate           noarch 1:1.20-4.fc15     fedora                   42 k
 perl-devel              x86_64 4:5.12.3-154.fc16 fedora                  448 k
 python                  x86_64 2.7.1-6.fc15      fedora                   73 k
 systemtap-sdt-devel     x86_64 1.4-5.fc16        fedora                   41 k

Transaction Summary
================================================================================
Install      25 Package(s)

Total size: 2.4 M
Total download size: 488 k
Installed size: 6.1 M

Installed:
  perl-Test-Log-Dispatch.noarch 0:0.03-1.fc16                                   

Dependency Installed:
  perl-CPAN.noarch 0:1.9402-154.fc16                                            
  perl-Digest-SHA.x86_64 1:5.47-154.fc16                                        
  perl-Email-Date-Format.noarch 0:1.002-9.fc15                                  
  perl-ExtUtils-MakeMaker.noarch 0:6.56-154.fc16                                
  perl-ExtUtils-ParseXS.noarch 1:2.2206-154.fc16                                
  perl-IO-Socket-SSL.noarch 0:1.39-1.fc16                                       
  perl-List-MoreUtils.x86_64 0:0.30-2.fc15                                      
  perl-Log-Dispatch.noarch 0:2.27-2.fc15                                        
  perl-Log-Dispatch-Array.noarch 0:1.001-4.fc15                                 
  perl-MIME-Lite.noarch 0:3.027-6.fc15                                          
  perl-MIME-Types.noarch 0:1.28-5.fc15                                          
  perl-Mail-Sender.noarch 0:0.8.16-7.fc15                                       
  perl-Mail-Sendmail.noarch 0:0.79-16.fc15                                      
  perl-MailTools.noarch 0:2.07-2.fc15                                           
  perl-Net-LibIDN.x86_64 0:0.12-6.fc15                                          
  perl-Net-SMTP-SSL.noarch 0:1.01-7.fc15                                        
  perl-Net-SSLeay.x86_64 0:1.36-4.fc15                                          
  perl-Params-Validate.x86_64 0:0.95-4.fc15                                     
  perl-Test-Harness.noarch 0:3.17-154.fc16                                      
  perl-Test-Simple.noarch 0:0.98-1.fc16                                         
  perl-TimeDate.noarch 1:1.20-4.fc15                                            
  perl-devel.x86_64 4:5.12.3-154.fc16                                           
  python.x86_64 0:2.7.1-6.fc15                                                  
  systemtap-sdt-devel.x86_64 0:1.4-5.fc16                                       


State Changed: unlock buildroot

Comment 3 Ralf Corsepius 2011-03-13 06:20:00 UTC
Thanks for the review.

(In reply to comment #2)
> Nice catch with the missing dep on older fedora, but the test should be 
> '%if 0%{?fedora} < 15' to avoid build failure if %fedora isn't defined at all.
> 
> APPROVED with that one small fix.
OK, I'll add this (It was slip through on my part), however as the package probably won't be buildable on anything but Fedora, this argument is mostly moot, anyway ;)


New Package SCM Request
=======================
Package Name: perl-Test-Log-Dispatch
Short Description: Test what you are logging
Owners: corsepiu
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2011-03-13 15:26:00 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-03-14 05:07:30 UTC
perl-Test-Log-Dispatch-0.03-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-Log-Dispatch-0.03-2.fc14

Comment 6 Fedora Update System 2011-03-14 05:07:37 UTC
perl-Test-Log-Dispatch-0.03-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Test-Log-Dispatch-0.03-2.fc15

Comment 7 Fedora Update System 2011-03-14 05:07:45 UTC
perl-Test-Log-Dispatch-0.03-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Test-Log-Dispatch-0.03-2.fc13

Comment 8 Fedora Update System 2011-03-14 10:19:51 UTC
perl-Test-Log-Dispatch-0.03-2.fc13 has been pushed to the Fedora 13 testing repository.

Comment 9 Fedora Update System 2011-03-19 05:51:31 UTC
perl-Test-Log-Dispatch-0.03-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-03-21 20:55:37 UTC
perl-Test-Log-Dispatch-0.03-2.fc13 has been pushed to the Fedora 13 stable repository.

Comment 11 Fedora Update System 2011-03-21 20:56:36 UTC
perl-Test-Log-Dispatch-0.03-2.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.